package com.brilliance.isc.common.register.fee;


import com.brilliance.isc.common.setfeg.service.SetfegService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

public abstract class AbstractFeeRegister implements IFeeRegister{
    @Autowired
    private SetfegService setfegService;

    public void addFeeData(String feetyp, String feeflg, int feeunt, Date from, Date till){
        setfegService.addFeeData(feetyp,feeflg,feeunt,from,till);
    }

    public void addFeeData(String feetyp, String feeflg, int feeunt, Date from, Date till, String addinf){
        setfegService.addFeeData(feetyp,feeflg,feeunt,from,till,addinf);
    }

    public SetfegService getSetfegService(){
        return setfegService;
    }
}
